| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::auditlog Class Reference

The auditlog class represents the audit log entries of a guild. More...

`#include <auditlog.h>`

Inheritance diagram for dpp::auditlog:
[legend]
Collaboration diagram for dpp::auditlog:
[legend]

## Public Member Functions

| auditlog ()=default
virtual | ~auditlog ()=default
std::string | build_json (bool with_id=false) const
| Convert object to json string.
auditlog & | fill_from_json (nlohmann::json *j)
| Convert object from nlohmann::json.
auto | to_json (bool with_id=false) const
| Convert object to nlohmann::json.

## Public Attributes

std::vector< audit_entry > | entries
| Audit log entries.

## Protected Member Functions

auditlog & | fill_from_json_impl (nlohmann::json *j)

## Friends

struct | json_interface< auditlog >

## Detailed Description

The auditlog class represents the audit log entries of a guild.

## Constructor & Destructor Documentation

## ◆ auditlog()

dpp::auditlog::auditlog | ( |  | ) |

default

Constructor

## ◆ ~auditlog()

virtual dpp::auditlog::~auditlog | ( |  | ) |

virtual default

Destructor

## Member Function Documentation

## ◆ build_json()

std::string dpp::json_interface< auditlog >::build_json | ( | bool | with_id = false | ) | const

inline inherited

Convert object to json string.

Parameters

  with_id | Whether to include the ID or not

Note
  Some fields are conditionally filled, do not rely on all fields being present

Returns
  std::string Json built from the structure

## ◆ fill_from_json()

auditlog & dpp::json_interface< auditlog >::fill_from_json | ( | nlohmann::json * | j | ) |

inline inherited

Convert object from nlohmann::json.

Parameters

  j | nlohmann::json object

Returns
  T& Reference to self for fluent calling

## ◆ fill_from_json_impl()

auditlog & dpp::auditlog::fill_from_json_impl | ( | nlohmann::json * | j | ) |

protected

Read class values from json object

Parameters

  j | A json object to read from

Returns
  A reference to self

## ◆ to_json()

auto dpp::json_interface< auditlog >::to_json | ( | bool | with_id = false | ) | const

inline inherited

Convert object to nlohmann::json.

Parameters

  with_id | Whether to include the ID or not

Note
  Some fields are conditionally filled, do not rely on all fields being present

Returns
  json Json built from the structure

## Friends And Related Symbol Documentation

## ◆ json_interface< auditlog >

friend struct json_interface< auditlog >

friend

## Member Data Documentation

## ◆ entries

std::vector<audit_entry> dpp::auditlog::entries

Audit log entries.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0